com.genesyslab.wfm8.API.service.config810

## Class CfgAuditFilter

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config810.CfgAuditFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAuditFilter
      extends java.lang.Object
      implements java.io.Serializable

  Configuration Audit Filter
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Integer>` | `gswUserId`
    `protected int` | `gswUserIdNSizeIs`
    `private static long` | `serialVersionUID`
    `protected java.util.List<java.lang.Integer>` | `wmAction`
    `protected int` | `wmActionNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmBUId`
    `protected int` | `wmBUIdNSizeIs`
    `protected double` | `wmEndTimestamp`
    `protected java.util.List<java.lang.Integer>` | `wmObjectId`
    `protected int` | `wmObjectIdNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmObjectType`
    `protected int` | `wmObjectTypeNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmSiteId`
    `protected int` | `wmSiteIdNSizeIs`
    `protected double` | `wmStartTimestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAuditFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Integer>` | `getGswUserId()` Gets the value of the gswUserId property.
    `int` | `getGswUserIdNSizeIs()` Gets the value of the gswUserIdNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmAction()` Gets the value of the wmAction property.
    `int` | `getWmActionNSizeIs()` Gets the value of the wmActionNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmBUIdNSizeIs()` Gets the value of the wmBUIdNSizeIs property.
    `double` | `getWmEndTimestamp()` Gets the value of the wmEndTimestamp property.
    `java.util.List<java.lang.Integer>` | `getWmObjectId()` Gets the value of the wmObjectId property.
    `int` | `getWmObjectIdNSizeIs()` Gets the value of the wmObjectIdNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmObjectType()` Gets the value of the wmObjectType property.
    `int` | `getWmObjectTypeNSizeIs()` Gets the value of the wmObjectTypeNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `double` | `getWmStartTimestamp()` Gets the value of the wmStartTimestamp property.
    `int` | `hashCode()`
    `void` | `setGswUserId(java.util.List<java.lang.Integer> gswUserId)` Sets the value of the gswUserId property.
    `void` | `setGswUserIdNSizeIs(int value)` Sets the value of the gswUserIdNSizeIs property.
    `void` | `setWmAction(java.util.List<java.lang.Integer> wmAction)` Sets the value of the wmAction property.
    `void` | `setWmActionNSizeIs(int value)` Sets the value of the wmActionNSizeIs property.
    `void` | `setWmBUId(java.util.List<java.lang.Integer> wmBUId)` Sets the value of the wmBUId property.
    `void` | `setWmBUIdNSizeIs(int value)` Sets the value of the wmBUIdNSizeIs property.
    `void` | `setWmEndTimestamp(double value)` Sets the value of the wmEndTimestamp property.
    `void` | `setWmObjectId(java.util.List<java.lang.Integer> wmObjectId)` Sets the value of the wmObjectId property.
    `void` | `setWmObjectIdNSizeIs(int value)` Sets the value of the wmObjectIdNSizeIs property.
    `void` | `setWmObjectType(java.util.List<java.lang.Integer> wmObjectType)` Sets the value of the wmObjectType property.
    `void` | `setWmObjectTypeNSizeIs(int value)` Sets the value of the wmObjectTypeNSizeIs property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `void` | `setWmStartTimestamp(double value)` Sets the value of the wmStartTimestamp property.
    `java.lang.String` | `toString()`
    `CfgAuditFilter` | `withGswUserId(java.util.Collection<java.lang.Integer> values)`
    `CfgAuditFilter` | `withGswUserId(java.lang.Integer... values)`
    `CfgAuditFilter` | `withGswUserIdNSizeIs(int value)`
    `CfgAuditFilter` | `withWmAction(java.util.Collection<java.lang.Integer> values)`
    `CfgAuditFilter` | `withWmAction(java.lang.Integer... values)`
    `CfgAuditFilter` | `withWmActionNSizeIs(int value)`
    `CfgAuditFilter` | `withWmBUId(java.util.Collection<java.lang.Integer> values)`
    `CfgAuditFilter` | `withWmBUId(java.lang.Integer... values)`
    `CfgAuditFilter` | `withWmBUIdNSizeIs(int value)`
    `CfgAuditFilter` | `withWmEndTimestamp(double value)`
    `CfgAuditFilter` | `withWmObjectId(java.util.Collection<java.lang.Integer> values)`
    `CfgAuditFilter` | `withWmObjectId(java.lang.Integer... values)`
    `CfgAuditFilter` | `withWmObjectIdNSizeIs(int value)`
    `CfgAuditFilter` | `withWmObjectType(java.util.Collection<java.lang.Integer> values)`
    `CfgAuditFilter` | `withWmObjectType(java.lang.Integer... values)`
    `CfgAuditFilter` | `withWmObjectTypeNSizeIs(int value)`
    `CfgAuditFilter` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgAuditFilter` | `withWmSiteId(java.lang.Integer... values)`
    `CfgAuditFilter` | `withWmSiteIdNSizeIs(int value)`
    `CfgAuditFilter` | `withWmStartTimestamp(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmBUIdNSizeIs

          protected int wmBUIdNSizeIs

    - #### wmBUId

          protected java.util.List<java.lang.Integer> wmBUId

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

    - #### wmObjectTypeNSizeIs

          protected int wmObjectTypeNSizeIs

    - #### wmObjectType

          protected java.util.List<java.lang.Integer> wmObjectType

    - #### wmObjectIdNSizeIs

          protected int wmObjectIdNSizeIs

    - #### wmObjectId

          protected java.util.List<java.lang.Integer> wmObjectId

    - #### wmActionNSizeIs

          protected int wmActionNSizeIs

    - #### wmAction

          protected java.util.List<java.lang.Integer> wmAction

    - #### gswUserIdNSizeIs

          protected int gswUserIdNSizeIs

    - #### gswUserId

          protected java.util.List<java.lang.Integer> gswUserId

    - #### wmStartTimestamp

          protected double wmStartTimestamp

    - #### wmEndTimestamp

          protected double wmEndTimestamp

  - ### Constructor Detail

    - #### CfgAuditFilter

          public CfgAuditFilter()

  - ### Method Detail

    - #### getWmBUIdNSizeIs

          public int getWmBUIdNSizeIs()

      Gets the value of the wmBUIdNSizeIs property.

    - #### setWmBUIdNSizeIs

          public void setWmBUIdNSizeIs(int value)

      Sets the value of the wmBUIdNSizeIs property.

    - #### getWmBUId

          public java.util.List<java.lang.Integer> getWmBUId()

      Gets the value of the wmBUId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmBUId property.

      For example, to add a new item, do as follows:

              getWmBUId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmObjectTypeNSizeIs

          public int getWmObjectTypeNSizeIs()

      Gets the value of the wmObjectTypeNSizeIs property.

    - #### setWmObjectTypeNSizeIs

          public void setWmObjectTypeNSizeIs(int value)

      Sets the value of the wmObjectTypeNSizeIs property.

    - #### getWmObjectType

          public java.util.List<java.lang.Integer> getWmObjectType()

      Gets the value of the wmObjectType property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmObjectType property.

      For example, to add a new item, do as follows:

              getWmObjectType().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmObjectIdNSizeIs

          public int getWmObjectIdNSizeIs()

      Gets the value of the wmObjectIdNSizeIs property.

    - #### setWmObjectIdNSizeIs

          public void setWmObjectIdNSizeIs(int value)

      Sets the value of the wmObjectIdNSizeIs property.

    - #### getWmObjectId

          public java.util.List<java.lang.Integer> getWmObjectId()

      Gets the value of the wmObjectId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmObjectId property.

      For example, to add a new item, do as follows:

              getWmObjectId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmActionNSizeIs

          public int getWmActionNSizeIs()

      Gets the value of the wmActionNSizeIs property.

    - #### setWmActionNSizeIs

          public void setWmActionNSizeIs(int value)

      Sets the value of the wmActionNSizeIs property.

    - #### getWmAction

          public java.util.List<java.lang.Integer> getWmAction()

      Gets the value of the wmAction property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmAction property.

      For example, to add a new item, do as follows:

              getWmAction().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getGswUserIdNSizeIs

          public int getGswUserIdNSizeIs()

      Gets the value of the gswUserIdNSizeIs property.

    - #### setGswUserIdNSizeIs

          public void setGswUserIdNSizeIs(int value)

      Sets the value of the gswUserIdNSizeIs property.

    - #### getGswUserId

          public java.util.List<java.lang.Integer> getGswUserId()

      Gets the value of the gswUserId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gswUserId property.

      For example, to add a new item, do as follows:

              getGswUserId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmStartTimestamp

          public double getWmStartTimestamp()

      Gets the value of the wmStartTimestamp property.

    - #### setWmStartTimestamp

          public void setWmStartTimestamp(double value)

      Sets the value of the wmStartTimestamp property.

    - #### getWmEndTimestamp

          public double getWmEndTimestamp()

      Gets the value of the wmEndTimestamp property.

    - #### setWmEndTimestamp

          public void setWmEndTimestamp(double value)

      Sets the value of the wmEndTimestamp property.

    - #### withWmBUIdNSizeIs

          public CfgAuditFilter withWmBUIdNSizeIs(int value)

    - #### withWmBUId

          public CfgAuditFilter withWmBUId(java.lang.Integer... values)

    - #### withWmBUId

          public CfgAuditFilter withWmBUId(java.util.Collection<java.lang.Integer> values)

    - #### withWmSiteIdNSizeIs

          public CfgAuditFilter withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgAuditFilter withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgAuditFilter withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmObjectTypeNSizeIs

          public CfgAuditFilter withWmObjectTypeNSizeIs(int value)

    - #### withWmObjectType

          public CfgAuditFilter withWmObjectType(java.lang.Integer... values)

    - #### withWmObjectType

          public CfgAuditFilter withWmObjectType(java.util.Collection<java.lang.Integer> values)

    - #### withWmObjectIdNSizeIs

          public CfgAuditFilter withWmObjectIdNSizeIs(int value)

    - #### withWmObjectId

          public CfgAuditFilter withWmObjectId(java.lang.Integer... values)

    - #### withWmObjectId

          public CfgAuditFilter withWmObjectId(java.util.Collection<java.lang.Integer> values)

    - #### withWmActionNSizeIs

          public CfgAuditFilter withWmActionNSizeIs(int value)

    - #### withWmAction

          public CfgAuditFilter withWmAction(java.lang.Integer... values)

    - #### withWmAction

          public CfgAuditFilter withWmAction(java.util.Collection<java.lang.Integer> values)

    - #### withGswUserIdNSizeIs

          public CfgAuditFilter withGswUserIdNSizeIs(int value)

    - #### withGswUserId

          public CfgAuditFilter withGswUserId(java.lang.Integer... values)

    - #### withGswUserId

          public CfgAuditFilter withGswUserId(java.util.Collection<java.lang.Integer> values)

    - #### withWmStartTimestamp

          public CfgAuditFilter withWmStartTimestamp(double value)

    - #### withWmEndTimestamp

          public CfgAuditFilter withWmEndTimestamp(double value)

    - #### setWmBUId

          public void setWmBUId(java.util.List<java.lang.Integer> wmBUId)

      Sets the value of the wmBUId property.
      Parameters:
        `wmBUId` - allowed object is `Integer`

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### setWmObjectType

          public void setWmObjectType(java.util.List<java.lang.Integer> wmObjectType)

      Sets the value of the wmObjectType property.
      Parameters:
        `wmObjectType` - allowed object is `Integer`

    - #### setWmObjectId

          public void setWmObjectId(java.util.List<java.lang.Integer> wmObjectId)

      Sets the value of the wmObjectId property.
      Parameters:
        `wmObjectId` - allowed object is `Integer`

    - #### setWmAction

          public void setWmAction(java.util.List<java.lang.Integer> wmAction)

      Sets the value of the wmAction property.
      Parameters:
        `wmAction` - allowed object is `Integer`

    - #### setGswUserId

          public void setGswUserId(java.util.List<java.lang.Integer> gswUserId)

      Sets the value of the gswUserId property.
      Parameters:
        `gswUserId` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.